totemudpu_instance Struct Reference
Collaboration diagram for totemudpu_instance:
[legend]

## Data Fields

qb_loop_t * | totemudpu_poll_handle
struct totem_interface * | totem_interface
int | netif_state_report
int | netif_bind_state
void * | context
int(* | totemudpu_deliver_fn )(void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)
int(* | totemudpu_iface_change_fn )(void *context, const struct totem_ip_address *iface_address, unsigned int ring_no)
void(* | totemudpu_target_set_completed )(void *context)
int | totemudpu_log_level_security
int | totemudpu_log_level_error
int | totemudpu_log_level_warning
int | totemudpu_log_level_notice
int | totemudpu_log_level_debug
int | totemudpu_subsys_id
void(* | totemudpu_log_printf )(int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf
void(*) void | udpu_context )
char | iov_buffer [UDP_RECEIVE_FRAME_SIZE_MAX]
struct iovec | totemudpu_iov_recv
struct qb_list_head | member_list
int | stats_sent
int | stats_recv
int | stats_delv
int | stats_remcasts
int | stats_orf_token
struct timeval | stats_tv_start
struct totem_ip_address | my_id
int | firstrun
qb_loop_timer_handle | timer_netif_check_timeout
unsigned int | my_memb_entries
struct totem_config * | totem_config
totemsrp_stats_t * | stats
struct totem_ip_address | token_target
int | token_socket
int | local_loop_sock [2]
qb_loop_timer_handle | timer_merge_detect_timeout
int | send_merge_detect_message
unsigned int | merge_detect_messages_sent_before_timeout

## Detailed Description

Definition at line 92 of file totemudpu.c.

## Field Documentation

## context

void* totemudpu_instance::context

Definition at line 101 of file totemudpu.c.

Referenced by totemudpu_initialize(), and totemudpu_token_target_set().

## firstrun

int totemudpu_instance::firstrun

Definition at line 162 of file totemudpu.c.

## iov_buffer

char totemudpu_instance::iov_buffer[UDP_RECEIVE_FRAME_SIZE_MAX]

Definition at line 142 of file totemudpu.c.

Referenced by totemudpu_initialize().

## local_loop_sock

int totemudpu_instance::local_loop_sock[2]

Definition at line 176 of file totemudpu.c.

Referenced by totemudpu_finalize(), totemudpu_initialize(), and totemudpu_recv_mcast_empty().

## member_list

struct qb_list_head totemudpu_instance::member_list

Definition at line 146 of file totemudpu.c.

Referenced by totemudpu_member_add(), totemudpu_member_list_rebind_ip(), totemudpu_member_remove(), totemudpu_nodestatus_get(), and totemudpu_token_target_set().

## merge_detect_messages_sent_before_timeout

unsigned int totemudpu_instance::merge_detect_messages_sent_before_timeout

Definition at line 182 of file totemudpu.c.

## my_id

struct totem_ip_address totemudpu_instance::my_id

Definition at line 160 of file totemudpu.c.

## my_memb_entries

unsigned int totemudpu_instance::my_memb_entries

Definition at line 166 of file totemudpu.c.

Referenced by totemudpu_processor_count_set().

## netif_bind_state

int totemudpu_instance::netif_bind_state

Definition at line 99 of file totemudpu.c.

Referenced by totemudpu_nodestatus_get(), and totemudpu_recv_mcast_empty().

## netif_state_report

int totemudpu_instance::netif_state_report

Definition at line 97 of file totemudpu.c.

## send_merge_detect_message

int totemudpu_instance::send_merge_detect_message

Definition at line 180 of file totemudpu.c.

## stats

totemsrp_stats_t* totemudpu_instance::stats

Definition at line 170 of file totemudpu.c.

Referenced by totemudpu_initialize().

## stats_delv

int totemudpu_instance::stats_delv

Definition at line 152 of file totemudpu.c.

## stats_orf_token

int totemudpu_instance::stats_orf_token

Definition at line 156 of file totemudpu.c.

## stats_recv

int totemudpu_instance::stats_recv

Definition at line 150 of file totemudpu.c.

## stats_remcasts

int totemudpu_instance::stats_remcasts

Definition at line 154 of file totemudpu.c.

## stats_sent

int totemudpu_instance::stats_sent

Definition at line 148 of file totemudpu.c.

## stats_tv_start

struct timeval totemudpu_instance::stats_tv_start

Definition at line 158 of file totemudpu.c.

## timer_merge_detect_timeout

qb_loop_timer_handle totemudpu_instance::timer_merge_detect_timeout

Definition at line 178 of file totemudpu.c.

## timer_netif_check_timeout

qb_loop_timer_handle totemudpu_instance::timer_netif_check_timeout

Definition at line 164 of file totemudpu.c.

Referenced by totemudpu_initialize(), and totemudpu_processor_count_set().

## token_socket

int totemudpu_instance::token_socket

Definition at line 174 of file totemudpu.c.

Referenced by totemudpu_finalize(), and totemudpu_recv_mcast_empty().

## token_target

struct totem_ip_address totemudpu_instance::token_target

Definition at line 172 of file totemudpu.c.

Referenced by totemudpu_member_remove(), totemudpu_token_send(), and totemudpu_token_target_set().

## totem_config

struct totem_config* totemudpu_instance::totem_config

Definition at line 168 of file totemudpu.c.

Referenced by totemudpu_initialize(), totemudpu_nodestatus_get(), and totemudpu_processor_count_set().

## totem_interface

struct totem_interface* totemudpu_instance::totem_interface

Definition at line 95 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_deliver_fn

int(* totemudpu_instance::totemudpu_deliver_fn) (void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)

Definition at line 103 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_iface_change_fn

int(* totemudpu_instance::totemudpu_iface_change_fn) (void *context, const struct totem_ip_address *iface_address, unsigned int ring_no)

Definition at line 109 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_iov_recv

struct iovec totemudpu_instance::totemudpu_iov_recv

Definition at line 144 of file totemudpu.c.

Referenced by totemudpu_recv_mcast_empty().

## totemudpu_log_level_debug

int totemudpu_instance::totemudpu_log_level_debug

Definition at line 127 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_log_level_error

int totemudpu_instance::totemudpu_log_level_error

Definition at line 121 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_log_level_notice

int totemudpu_instance::totemudpu_log_level_notice

Definition at line 125 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_log_level_security

int totemudpu_instance::totemudpu_log_level_security

Definition at line 119 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_log_level_warning

int totemudpu_instance::totemudpu_log_level_warning

Definition at line 123 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_log_printf

void(* totemudpu_instance::totemudpu_log_printf) (int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf

Definition at line 131 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_poll_handle

qb_loop_t* totemudpu_instance::totemudpu_poll_handle

Definition at line 93 of file totemudpu.c.

Referenced by totemudpu_finalize(), totemudpu_initialize(), totemudpu_member_remove(), and totemudpu_processor_count_set().

## totemudpu_subsys_id

int totemudpu_instance::totemudpu_subsys_id

Definition at line 129 of file totemudpu.c.

Referenced by totemudpu_initialize().

## totemudpu_target_set_completed

void(* totemudpu_instance::totemudpu_target_set_completed) (void *context)

Definition at line 114 of file totemudpu.c.

Referenced by totemudpu_initialize(), and totemudpu_token_target_set().

## udpu_context

void(*) void totemudpu_instance::udpu_context)

Definition at line 140 of file totemudpu.c.

Referenced by totemudpu_finalize(), totemudpu_iface_check(), totemudpu_initialize(), totemudpu_mcast_flush_send(), totemudpu_mcast_noflush_send(), totemudpu_member_add(), totemudpu_member_list_rebind_ip(), totemudpu_member_remove(), totemudpu_nodestatus_get(), totemudpu_processor_count_set(), totemudpu_recv_mcast_empty(), totemudpu_token_send(), and totemudpu_token_target_set().

The documentation for this struct was generated from the following file:

- totemudpu.c